org.apache.nutch.protocol

## Class ProtocolStatusUtils

- java.lang.Object
- - org.apache.nutch.protocol.ProtocolStatusUtils

- All Implemented Interfaces:
    ProtocolStatusCodes

      public class ProtocolStatusUtils
      extends java.lang.Object
      implements ProtocolStatusCodes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ProtocolStatus` | `STATUS_BLOCKED`
    `static ProtocolStatus` | `STATUS_FAILED`
    `static ProtocolStatus` | `STATUS_GONE`
    `static ProtocolStatus` | `STATUS_NOTFETCHING`
    `static ProtocolStatus` | `STATUS_NOTFOUND`
    `static ProtocolStatus` | `STATUS_NOTMODIFIED`
    `static ProtocolStatus` | `STATUS_REDIR_EXCEEDED`
    `static ProtocolStatus` | `STATUS_RETRY`
    `static ProtocolStatus` | `STATUS_ROBOTS_DENIED`
    `static ProtocolStatus` | `STATUS_SUCCESS`
    `static ProtocolStatus` | `STATUS_WOULDBLOCK`

    - ### Fields inherited from interface org.apache.nutch.protocol.ProtocolStatusCodes

      `ACCESS_DENIED, BLOCKED, EXCEPTION, FAILED, GONE, MOVED, NOTFETCHING, NOTFOUND, NOTMODIFIED, PROTO_NOT_FOUND, REDIR_EXCEEDED, RETRY, ROBOTS_DENIED, SUCCESS, TEMP_MOVED, WOULDBLOCK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolStatusUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getMessage(ProtocolStatus pstatus)`
    `static java.lang.String` | `getName(int code)`
    `static ProtocolStatus` | `makeStatus(int code)`
    `static ProtocolStatus` | `makeStatus(int code, java.lang.String message)`
    `static ProtocolStatus` | `makeStatus(int code, java.net.URL url)`
    `static java.lang.String` | `toString(ProtocolStatus status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_SUCCESS

          public static final ProtocolStatus STATUS_SUCCESS

    - #### STATUS_FAILED

          public static final ProtocolStatus STATUS_FAILED

    - #### STATUS_GONE

          public static final ProtocolStatus STATUS_GONE

    - #### STATUS_NOTFOUND

          public static final ProtocolStatus STATUS_NOTFOUND

    - #### STATUS_RETRY

          public static final ProtocolStatus STATUS_RETRY

    - #### STATUS_ROBOTS_DENIED

          public static final ProtocolStatus STATUS_ROBOTS_DENIED

    - #### STATUS_REDIR_EXCEEDED

          public static final ProtocolStatus STATUS_REDIR_EXCEEDED

    - #### STATUS_NOTFETCHING

          public static final ProtocolStatus STATUS_NOTFETCHING

    - #### STATUS_NOTMODIFIED

          public static final ProtocolStatus STATUS_NOTMODIFIED

    - #### STATUS_WOULDBLOCK

          public static final ProtocolStatus STATUS_WOULDBLOCK

    - #### STATUS_BLOCKED

          public static final ProtocolStatus STATUS_BLOCKED

  - ### Constructor Detail

    - #### ProtocolStatusUtils

          public ProtocolStatusUtils()

  - ### Method Detail

    - #### getName

          public static java.lang.String getName(int code)

    - #### makeStatus

          public static ProtocolStatus makeStatus(int code)

    - #### makeStatus

          public static ProtocolStatus makeStatus(int code,
                                                  java.lang.String message)

    - #### makeStatus

          public static ProtocolStatus makeStatus(int code,
                                                  java.net.URL url)

    - #### getMessage

          public static java.lang.String getMessage(ProtocolStatus pstatus)

    - #### toString

          public static java.lang.String toString(ProtocolStatus status)

Copyright © 2019 The Apache Software Foundation